import { makeWidget } from '../gjs/widget.js';
import { TrackerShape } from '../prefs/schema/TrackerShape.js';
import { exhausted } from '../ts/exhausted.js';
import { makeCircle } from './circle.js';
import { makeCursor } from './cursor.js';
export function makeTracker(settingsSub) {
    const tracker = makeWidget();
    const circle = makeCircle(settingsSub);
    const cursor = makeCursor();
    function updateShape() {
        const shape = settingsSub.settings.get_enum('tracker-shape');
        tracker.remove_all_children();
        switch (shape) {
            case TrackerShape.CIRCLE:
                tracker.add_child(circle);
                break;
            case TrackerShape.CURSOR:
                tracker.add_child(cursor);
                break;
            default:
                exhausted(shape);
        }
    }
    settingsSub.connect('changed::tracker-shape', updateShape);
    updateShape();
    return tracker;
}
